[sword-devel] osis2mod unhappy with New Testament osisIDs

Chris Little chrislit at crosswire.org
Tue Jul 12 16:10:47 MST 2011

You're using the wrong versification system for that Bible. "MT" means 
Masoretic Text, which is an OT-only versification system. So it is 
correct, that isn't a valid osisID for that system.

I'm not sure which one will work for you, but NRSV, Synodal, or German 
would be the first ones I would try.


On 7/12/2011 11:55 AM, Matěj Cepl wrote:
> Hi,
> I am trying to make complete OSIS module of the Czech KMS translation
> from the official published text
> (http://www.crosswire.org/sword/modules/ModInfo.jsp?modName=CzeKMS is
> quite old) and although xmllint doesn't complain, when running
> osis2mod mod/ bible.xml -z -v MT -d 64
> I get errors like
> You are running osis2mod: $Rev: 2562 $
> ERROR(REF): Invalid osisID/annotateRef: Matt.1.1
> for all verses of the New Testament (the Old Testament is apparently OK).
> Git repository of the project is available on
> https://gitorious.org/various-small-stuff/czekms and the latest version
> of the generated bible OSIS file is
> http://mcepl.fedorapeople.org/tmp/bible.xml.gz
> Any idea, what I am doing wrong to deserve this?
> Thank you in advance,
> Matěj
> _______________________________________________
> sword-devel mailing list: sword-devel at crosswire.org
> http://www.crosswire.org/mailman/listinfo/sword-devel
> Instructions to unsubscribe/change your settings at above page

More information about the sword-devel mailing list